GNU bug report logs - #50412
[PATCH] gnu: Add usbip-utils

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>; Keywords: patch; Done: Xinglu Chen <public@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50412-done <at> debbugs.gnu.org:


Received: (at 50412-done) by debbugs.gnu.org; 16 Sep 2021 09:42:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 05:42:16 2021
Received: from localhost ([127.0.0.1]:53846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQnuJ-0008AJ-OW
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 05:42:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQnuH-0008A4-Od
 for 50412-done <at> debbugs.gnu.org; Thu, 16 Sep 2021 05:42:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45112)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQnuB-0006QG-2L; Thu, 16 Sep 2021 05:42:07 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=47274 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mQnuA-0002dv-Pq; Thu, 16 Sep 2021 05:42:06 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
Subject: Re: bug#50412: [PATCH] gnu: Add usbip-utils
References: <20210905193657.17750-1-GNUtoo@HIDDEN>
Date: Thu, 16 Sep 2021 11:42:04 +0200
In-Reply-To: <20210905193657.17750-1-GNUtoo@HIDDEN> (Denis
 Carikli's message of "Sun, 5 Sep 2021 21:36:57 +0200")
Message-ID: <87wnng26xf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50412-done
Cc: 50412-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN> skribis:

> * gnu/packages/linux.scm (usbip-utils): New variable.
>
> Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>

Applied with the tweak below.  Thanks!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index b1a1031e21..d61ce41285 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2177,14 +2177,14 @@ slabtop, tload, top, vmstat, w, watch and sysctl.")
     (synopsis "Utilities for sharing USB devices over IP networks")
     (description
      "The USB/IP protocol enables to pass USB device from a server to
- a client over the network.  The server is a machine which shares an
- USB device and the client is a machine which uses USB device provided by
- a server over the network.  The USB device may be either physical device
- connected to a server or software entity created on a server using USB
- gadget subsystem.  The usbip-utils are userspace tools to used to handle
- connection and management on both side.  The client needs the vhci-hcd
- Linux kernel module and the server needs the usbip_host Linux kernel
- module.")
+a client over the network.  The server is a machine which shares an
+USB device and the client is a machine which uses USB device provided by
+a server over the network.  The USB device may be either physical device
+connected to a server or software entity created on a server using USB
+gadget subsystem.  The usbip-utils are userspace tools to used to handle
+connection and management on both side.  The client needs the @file{vhci-hcd}
+Linux kernel module and the server needs the @file{usbip_host} Linux kernel
+module.")
     (license license:gpl2)))
 
 (define-public e2fsprogs

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50412; Package guix-patches. Full text available.

Message received at 50412-done <at> debbugs.gnu.org:


Received: (at 50412-done) by debbugs.gnu.org; 15 Sep 2021 13:48:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 09:48:11 2021
Received: from localhost ([127.0.0.1]:51310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQVGl-0004h1-KI
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:48:11 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:58132
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mQVGj-0004gQ-Ui
 for 50412-done <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:48:10 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1631713679;
 bh=bc7qu3LR91CxycIbNYnoqW3eYHzQYFVjedDuGAOUG1k=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=s2mZboWiHowxXuHpaG46a0DuOvWwzlNWr0yLu3NKrp+za75qQpZiBd3BUSGioBpws
 AZcw/5/y41Bj2CJjg1DMRT4YUdQVVWz6H3oixwBcc4i1w0tKBzY+jO8jtnUlMOzpnr
 9dI9RB6KwPtmdA49GzLLaqnOeO1bpnmWFNCz+WgY=
To: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>,
 50412-done <at> debbugs.gnu.org
Subject: Re: [bug#50412] [PATCH] gnu: Add usbip-utils
In-Reply-To: <20210905193657.17750-1-GNUtoo@HIDDEN>
References: <20210905193657.17750-1-GNUtoo@HIDDEN>
Date: Wed, 15 Sep 2021 15:47:56 +0200
Message-ID: <87lf3yrlv7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sun, Sep 05 2021,
 Denis 'GNUtoo' Carikli wrote: > * gnu/packages/linux.scm
 (usbip-utils): New variable. > > Signed-off-by: Denis 'GNUtoo' Carikli
 <GNUtoo@HIDDEN>
 Looks like this was pushed as f16e6b505d5d2630b786a0477ec73b42e77b04e4. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50412-done
Cc: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sun, Sep 05 2021, Denis 'GNUtoo' Carikli wrote: > * gnu/packages/linux.scm
    (usbip-utils): New variable. > > Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
    Looks like this was pushed as f16e6b505d5d2630b786a0477ec73b42e77b04e4. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain

On Sun, Sep 05 2021, Denis 'GNUtoo' Carikli wrote:

> * gnu/packages/linux.scm (usbip-utils): New variable.
>
> Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>

Looks like this was pushed as f16e6b505d5d2630b786a0477ec73b42e77b04e4.

Closing!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFB+YwVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5tlYQAIUkjChBbJCc042J9iUHGG3JOVuy
qb2vOI3L+E76AD4LDHjJ3Uzv+RmVyFrpZ+/EUtlr7MB6DnsIOYegEi33K8GzHgNK
TzvqkNNUyDHIBlBxq0C+PJbk8zibo6cPwbINjt3CLFPOHcFHzryxVmqJ/bMZiZDx
x1n1A3cpoMcsOfmpTv7xe5DFWHk722lKYWSkNJii8dY7vttdaZUBWqQSkI4v0Pas
K2X+G2zYXsdFl4fcn5afspgkkFEcnh5rQMWp7DPSMFW0i+Ofh8DbDm+PnoTW+m1y
X/lr9m50W+pnE1I4NCtsc0eoW1+xzZqPPZrKGkt6VtyRyuMveVFQ3X9Z96kpV39X
9GF/GoqE4ZP09rLBpCtCwlg3LbUGiAjiwK5dWRkD7mVSDxV/nqfABuwcq1+LTlJk
dKzenJGr6/YZvvzn9RcbKTCL9BrHuGfilevjXFHLrZnRlGT/ezbnlhC6/m8xvA2g
5n2R7Ka09PqygBfrgM+BCd7IwzEQZPRqmsUOqfGgV3Ul+iysezA2Us6CV3J0LJHJ
1fi2gH1Cs+IamYOMYRQFT45ZGldwQFhr3PCLH9cx13r/DFT+M3rse9FkQ/dQR+zk
sv5RIYRPQEcVvdP3m3nb7/3gyEe0OjnoiLJUMIhhCqAjDJMwca9XtC5nJ9pWCE/1
qO5foRH7wqZfCo6K
=Tiaq
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Xinglu Chen <public@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2021 19:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 05 15:36:58 2021
Received: from localhost ([127.0.0.1]:51099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMxwn-00044e-VC
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 15:36:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:38888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <GNUtoo@HIDDEN>) id 1mMxwm-00044X-Dd
 for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 15:36:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35868)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1mMxwm-0005wx-4n
 for guix-patches@HIDDEN; Sun, 05 Sep 2021 15:36:56 -0400
Received: from cyberdimension.org ([80.67.179.20]:39368
 helo=gnutoo.cyberdimension.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1mMxwh-0008Nv-2x
 for guix-patches@HIDDEN; Sun, 05 Sep 2021 15:36:55 -0400
Received: from gnutoo.cyberdimension.org (localhost [127.0.0.1])
 by cyberdimension.org (OpenSMTPD) with ESMTP id 0f84430f;
 Sun, 5 Sep 2021 19:33:29 +0000 (UTC)
Received: from primarylaptop.localdomain (localhost.localdomain [::1])
 by gnutoo.cyberdimension.org (OpenSMTPD) with ESMTP id 7a26133b;
 Sun, 5 Sep 2021 19:33:29 +0000 (UTC)
From: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add usbip-utils
Date: Sun,  5 Sep 2021 21:36:57 +0200
Message-Id: <20210905193657.17750-1-GNUtoo@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=80.67.179.20;
 envelope-from=GNUtoo@HIDDEN; helo=gnutoo.cyberdimension.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/linux.scm (usbip-utils): New variable.

Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
---
 gnu/packages/linux.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 0004cca775..91310fd888 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2077,6 +2077,37 @@ slabtop, tload, top, vmstat, w, watch and sysctl.")
      "Tools for working with USB devices, such as lsusb.")
     (license license:gpl2+)))
 
+(define-public usbip-utils
+  (package
+    (name "usbip-utils")
+    (version (package-version linux-libre))
+    (source (package-source linux-libre))
+    (build-system gnu-build-system)
+    (arguments
+     '(#:phases (modify-phases %standard-phases
+                  (add-after 'unpack 'enter-subdirectory
+                    (lambda _
+                      (chdir "tools/usb/usbip")
+                      #t)))))
+    (native-inputs
+     `(("automake" ,automake)
+       ("autoreconf" ,autoconf)
+       ("libtool" ,libtool)))
+    (inputs `(("eudev" ,eudev)))
+    (home-page (package-home-page linux-libre))
+    (synopsis "Utilities for sharing USB devices over IP networks")
+    (description
+     "The USB/IP protocol enables to pass USB device from a server to
+ a client over the network.  The server is a machine which shares an
+ USB device and the client is a machine which uses USB device provided by
+ a server over the network.  The USB device may be either physical device
+ connected to a server or software entity created on a server using USB
+ gadget subsystem.  The usbip-utils are userspace tools to used to handle
+ connection and management on both side.  The client needs the vhci-hcd
+ Linux kernel module and the server needs the usbip_host Linux kernel
+ module.")
+    (license license:gpl2)))
+
 (define-public e2fsprogs
   (package
     (name "e2fsprogs")
-- 
2.33.0





Acknowledgement sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50412; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Sep 2021 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.